Cannot install Jetpack4.2 on TX2 with SDKmanager

I attached the log from SDKmanager terminal.
Can anyone help to look at the error?

Thank you very much!

DETAILS TERMINAL
Component Name: All
Message Type: All

Filter text here…

11:33:01 INFO : null
11:33:08 INFO : *** Retrying to install. attempt number: 2
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : Found file /home/jiayu18/Downloads/nvidia/sdkm_downloads/Jetson_Linux_R32.1.0_aarch64.tbz2 with correct checksum, skip downloading.
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : download ‘Drivers for Jetson TX2 & TX2i’ success
11:33:12 INFO : Start to install ‘Drivers for Jetson TX2 & TX2i’
11:33:12 DEBUG : Drivers for Jetson TX2 & TX2i : running command < cd ‘/home/jiayu18/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ ; ‘/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter’ -a=‘install’ -c=‘eyJpZCI6Ik5WX0w0VF9EUklWRVJTX1RYMl9DT01QIiwibmFtZSI6IkRyaXZlcnMgZm9yIEpldHNvbiBUWDIgJiBUWDJpIiwiZGVzY3JpcHRpb24iOiJOVklESUEgVGVncmEgTGludXggRHJpdmVyIFBhY2thZ2UiLCJjb21wVHlwZSI6InRhcmdldF9pbWFnZSIsImlzVmlzaWJsZSI6dHJ1ZSwibGljZW5zZUlkIjoiTlZfSkVUUEFDS19PU19FVUxBIiwiaXNEZXRlY3RhYmxlSW5zdGFsbCI6ZmFsc2UsImlzSW5zdGFsbFBhdGhDdXN0b21pemFibGUiOnRydWUsInZlcnNpb24iOiIzMi4xIiwib3BlcmF0aW5nU3lzdGVtcyI6WyJ1YnVudHUxNjA0IiwidWJ1bnR1MTgwNCJdLCJpbnN0YWxsU2l6ZU1CIjoxNTYsImRvd25sb2FkRmlsZXMiOlt7InVybCI6IlAzMzEwL0pldHNvbl9MaW51eF9SMzIuMS4wX2FhcmNoNjQudGJ6MiIsImZpbGVOYW1lIjoiSmV0c29uX0xpbnV4X1IzMi4xLjBfYWFyY2g2NC50YnoyIiwic2l6ZSI6MTI1Nzk5NTAyLCJjaGVja3N1bSI6Ijg4MWZlZGVlMDZhNzQ0Njk1M2EwNjRiNTc0MjI3OTgwIiwiY2hlY2tzdW1UeXBlIjoibWQ1IiwiaW5zdGFsbFBhcmFtZXRlcnMiOnsiaW5zdGFsbFR5cGUiOiJjbWQiLCJhZGRpdGlvbmFsUGFyYW1ldGVycyI6eyJpbnN0YWxsRGlyIjoie3tUQVJHRVRfUk9PVH19L3t7QlVORExFX1RJVExFfX1fe3tCT0FSRF9JRH19IiwiaW5zdGFsbENvbW1hbmRzIjpbeyJleGVjQmFzaCI6WyJzdWRvIGFwdC1nZXQgdXBkYXRlIHx8IHRydWU7IHN1ZG8gYXB0LWdldCBpbnN0YWxsIC15IHBpZ3ogbGJ6aXAyIiwidGFyIHhwZiB7e0ZJTEVfUEFUSH19Il19XX19LCJjYWNoZWRVcmwiOiJodHRwczovL2RldmVsb3Blci5udmlkaWEuY29tL2Fzc2V0cy9lbWJlZGRlZC9zZWN1cmUvdG9vbHMvZmlsZXMvamV0cGFjay1zZGtzL2pldHBhY2stNC4yL0pFVFBBQ0tfNDJfYjE1OC9QMzMxMC9KZXRzb25fTGludXhfUjMyLjEuMF9hYXJjaDY0LnRiejIifV0sInRhcmdldElkcyI6WyJQMzMxMCIsIlAzNDg5LTAwMDAiXSwiZGVwZW5kZW5jaWVzIjpbXSwiZXh0ZXJuYWxfZGVwZW5kZW5jaWVzIjpbXSwidGFyZ2V0SUQiOiJQMzMxMCIsIl9pZCI6Ik5WX0w0VF9EUklWRVJTX1RYMl9DT01QQFAzMzEwIiwicGFyZW50SUQiOiJOVl9KRVRQQUNLX0w0VF9JTUFHRV9TRVRVUF9UQVJHRVRfR1JPVVAiLCJfcGFyZW50SUQiOiJOVl9KRVRQQUNLX0w0VF9JTUFHRV9TRVRVUF9UQVJHRVRfR1JPVVBAUDMzMTAiLCJpbnN0YWxsU3RhdHVzIjoibm9uZSIsImFjdGlvbiI6MSwiZG93bmxvYWRFcnJvcnMiOltdLCJ2ZXJpZnkiOmZhbHNlLCJleGVjIjoiL2hvbWUvamlheXUxOC9Eb3dubG9hZHMvbnZpZGlhL3Nka21fZG93bmxvYWRzL0pldHNvbl9MaW51eF9SMzIuMS4wX2FhcmNoNjQudGJ6MiIsImJ1bmRsZVRpdGxlIjoiSmV0UGFja180LjJfTGludXgiLCJpbnN0YWxsUGF0aCI6Ii9ob21lL2ppYXl1MTgvbnZpZGlhL252aWRpYV9zZGsvSmV0UGFja180LjJfTGludXhfUDMzMTAiLCJpbnN0YWxsUm9vdCI6Ii9ob21lL2ppYXl1MTgvbnZpZGlhL252aWRpYV9zZGsiLCJib2FyZElEIjoiUDMzMTAiLCJ0YXJnZXRBY2Nlc3NJbmZvIjp7InVzZXIiOiJudmlkaWEiLCJwYXNzd29yZCI6Im52aWRpYSIsImhvc3QiOiIxOTIuMTY4LjU1LjEiLCJwb3J0IjoiMjIifSwiaXNEcnlSdW4iOmZhbHNlfQ==’ -i=‘NV_L4T_DRIVERS_TX2_COMP’ -v=‘32.1’ -l=’/home/jiayu18/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ -L=’/home/jiayu18/.nvsdkm/logs/JetPack_4.2_Linux’ -p=‘3042’ -t=‘P3310’ -e=’/home/jiayu18/Downloads/nvidia/sdkm_downloads/Jetson_Linux_R32.1.0_aarch64.tbz2’ >
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : [ Disk Avail:384.64 GB ]
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : Using GenericInstaller to Install NV_L4T_DRIVERS_TX2_COMP
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : NV_L4T_DRIVERS_TX2_COMP include 1 package
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : change working directory to /home/jiayu18/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : [ Package Install Started ]
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : current working directory is /home/jiayu18/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : exec_command [host]:
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : **********************
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : #!/bin/bash
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : set -e
11:33:12 INFO : Drivers for Jetson TX2 & TX2i :
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : function safe_apt_install {
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : echo “*begin $1, $2”
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : tmp_log=/tmp/jetpack_dpkg_log.txt
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : sudo rm -f $tmp_log
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : while [ ${CMD_STATUS} -ne 0 ]; do
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : if grep -q -e “is locked by another process” -e “E: Could not get lock /var/lib” $tmp_log; then
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : sudo rm -f $tmp_log
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : echo "Waiting 2 seconds for apt to be available"; sleep {2}
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : else
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : echo “Unhandled error when running $1”; exit 1
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : fi
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : done
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : }
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : sudo apt-get update || true; sudo apt-get install -y pigz lbzip2
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : tar xpf /home/jiayu18/Downloads/nvidia/sdkm_downloads/Jetson_Linux_R32.1.0_aarch64.tbz2
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : **********************
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : exec_command: /tmp/tmp_NV_L4T_DRIVERS_TX2_COMP.sh
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : Ign:1 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64 InRelease
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : Hit:2 http://linux.teamviewer.com/deb stable InRelease
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : Hit:3 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64 Release
11:33:12 INFO : Drivers for Jetson TX2 & TX2i : Hit:4 https://repo.skype.com/deb stable InRelease
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Ign:6 http://dl.google.com/linux/chrome/deb stable InRelease
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Hit:7 http://dl.google.com/linux/chrome/deb stable Release
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Get:8 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Hit:9 http://us.archive.ubuntu.com/ubuntu bionic InRelease
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Hit:11 http://archive.ubuntukylin.com:10006/ubuntukylin xenial InRelease
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Get:12 http://us.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Get:13 http://us.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
11:33:13 INFO : Drivers for Jetson TX2 & TX2i : Get:14 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
11:33:14 INFO : Drivers for Jetson TX2 & TX2i : Fetched 361 kB in 1s (319 kB/s)
11:33:14 INFO : File System and OS : Found file /home/jiayu18/Downloads/nvidia/sdkm_downloads/Tegra_Linux_Sample-Root-Filesystem_R32.1.0_aarch64.tbz2 with correct checksum, skip downloading.
11:33:14 INFO : File System and OS : download ‘File System and OS’ success
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : Reading package lists…
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : Reading package lists…
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : Building dependency tree…
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : Reading state information…
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : lbzip2 is already the newest version (2.5-2).
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : pigz is already the newest version (2.4-1).
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : 0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
11:33:15 ERROR : Drivers for Jetson TX2 & TX2i :
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : bzip2: Data integrity error when decompressing.
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : Input file = (stdin), output file = (stdout)
11:33:15 INFO : Drivers for Jetson TX2 & TX2i :
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : It is possible that the compressed file(s) have become corrupted.
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : You can use the -tvv option to test integrity of such files.
11:33:15 INFO : Drivers for Jetson TX2 & TX2i :
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : You can use the `bzip2recover’ program to attempt to recover
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : data from undamaged sections of corrupted files.
11:33:15 INFO : Drivers for Jetson TX2 & TX2i :
11:33:15 ERROR : Drivers for Jetson TX2 & TX2i : tar: Unexpected EOF in archive
11:33:15 ERROR : Drivers for Jetson TX2 & TX2i : tar: Unexpected EOF in archive
11:33:15 ERROR : Drivers for Jetson TX2 & TX2i : tar: Error is not recoverable: exiting now
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : exit status 2
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : [ Package Install Finished with Error ]
11:33:15 ERROR : Drivers for Jetson TX2 & TX2i : NV_L4T_DRIVERS_TX2_COMP command /tmp/tmp_NV_L4T_DRIVERS_TX2_COMP.sh finished with error
11:33:15 INFO : Drivers for Jetson TX2 & TX2i :
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : [ 12.00 KB used. Disk Avail: 384.64 GB ]
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : [ NV_L4T_DRIVERS_TX2_COMP Install took 3s ]
11:33:15 INFO : Drivers for Jetson TX2 & TX2i : command /tmp/tmp_NV_L4T_DRIVERS_TX2_COMP.sh finished with error
11:33:15 ERROR : Drivers for Jetson TX2 & TX2i : command terminated with error
11:33:15 ERROR : install ‘Drivers for Jetson TX2 & TX2i’ failure, command < cd ‘/home/jiayu18/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ ; ‘/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter’ -a=‘install’ -c=‘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’ -i=‘NV_L4T_DRIVERS_TX2_COMP’ -v=‘32.1’ -l=’/home/jiayu18/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ -L=’/home/jiayu18/.nvsdkm/logs/JetPack_4.2_Linux’ -p=‘3042’ -t=‘P3310’ -e=’/home/jiayu18/Downloads/nvidia/sdkm_downloads/Jetson_Linux_R32.1.0_aarch64.tbz2’ > terminated with error
11:33:15 ERROR : Unavailable components detected, please check log
11:33:15 ERROR : File System and OS Skipped. Due to its dependencies fail to install: Drivers for Jetson TX2 & TX2i,
11:33:15 ERROR : Flash skipped due to component(s) download/install failure
11:33:15 ERROR : Flash skipped due to component(s) download/install failure

Hi

Please refer to this similar issue:
https://devtalk.nvidia.com/default/topic/1056381/jetson-agx-xavier/jetpack-4-2-xavier-install-failed/post/5356095

Regards,
-Enrique

Thank you!

Fixed by
For 18.04:
sudo apt install bzip2=1.0.6-8.1 libbz2-1.0=1.0.6-8.1